com.thinkaurelius.titan.graphdb.database.cache

## Class StandardSchemaCache

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.database.cache.StandardSchemaCache

- All Implemented Interfaces:
    SchemaCache

      public class StandardSchemaCache
      extends Object
      implements SchemaCache

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.thinkaurelius.titan.graphdb.database.cache.SchemaCache

      `SchemaCache.StoreRetrieval`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MAX_CACHED_TYPES_DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardSchemaCache(int size, SchemaCache.StoreRetrieval retriever)`
    `StandardSchemaCache(SchemaCache.StoreRetrieval retriever)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `expireSchemaElement(long schemaId)`
    `Long` | `getSchemaId(String schemaName, StandardTitanTx tx)`
    `EntryList` | `getSchemaRelations(long schemaId, BaseRelationType type, com.tinkerpop.blueprints.Direction dir, StandardTitanTx tx)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAX_CACHED_TYPES_DEFAULT

          public static final int MAX_CACHED_TYPES_DEFAULT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StandardSchemaCache

          public StandardSchemaCache(SchemaCache.StoreRetrieval retriever)

    - #### StandardSchemaCache

          public StandardSchemaCache(int size,
                             SchemaCache.StoreRetrieval retriever)

  - ### Method Detail

    - #### getSchemaId

          public Long getSchemaId(String schemaName,
                         StandardTitanTx tx)

      Specified by:
        `getSchemaId` in interface `SchemaCache`

    - #### getSchemaRelations

          public EntryList getSchemaRelations(long schemaId,
                                     BaseRelationType type,
                                     com.tinkerpop.blueprints.Direction dir,
                                     StandardTitanTx tx)

      Specified by:
        `getSchemaRelations` in interface `SchemaCache`

    - #### expireSchemaElement

          public void expireSchemaElement(long schemaId)

      Specified by:
        `expireSchemaElement` in interface `SchemaCache`

Copyright © 2012–2014. All rights reserved.